Name:          libavif
Version:       1.0.2
Release:       1mamba
Summary:       Library for encoding and decoding .avif files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AOMediaCodec/libavif/
Source:        https://github.com/AOMediaCodec/libavif.git/v%{version}/libavif-%{version}.tar.bz2
Patch0:        libavif-0.9.3-libsvt-av1-0.9.1.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaom-devel
BuildRequires: libdav1d-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsvt-av1-devel
%ifnarch aarch64
BuildRequires: libyuv-devel
%endif
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
%ifnarch %ix86
BuildRequires: libsvt-av1-devel >= 1.0.0
%endif
Obsoletes:     libavif13 < 1.0.1

%description
Library for encoding and decoding .avif files .

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Obsoletes:     libavif13-devel < 1.0.1

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libavif13-tools < 1.0.1

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1 -b .libsvt-av1-0.9.1

%build
%cmake -d build \
\
    -DAVIF_CODEC_SVT=ON \
    -DAVIF_CODEC_AOM=ON \
    -DAVIF_CODEC_DAV1D=ON \
    -DAVIF_BUILD_APPS=ON \
    -DAVIF_BUILD_GDK_PIXBUF=ON

# TODO:
#    -DAVIF_CODEC_RAV1E=ON \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libavif.so.*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-avif.so
%{_datadir}/thumbnailers/avif.thumbnailer
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/avif
%{_includedir}/avif/avif.h
%dir %{_libdir}/cmake/libavif
%{_libdir}/libavif.so
%{_libdir}/cmake/libavif/libavif-config*.cmake
%{_libdir}/pkgconfig/libavif.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/avifdec
%{_bindir}/avifenc

%changelog
* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- obsolete libavif13

* Wed Aug 30 2023 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Sat Apr 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-4mamba
- rebuilt with libsvt-av1 1.0.0

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-3mamba
- rebuilt with libdav1d and libaom

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- rebuilt with libyuv, libsvt-av1 and tools

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- package created using the webbuild interface
